<?xml version="1.0" encoding="UTF-8"?>
<project name="yui-compressor-demo" basedir="." default="yui-compress">
	
	<property file="build.properties"></property>
	<!-- 将多个js合并成为一个js -->
	<target name="conbineJs" >
		
		<concat destfile="${resource.combine.dir}/${resource.js}" encoding="utf-8"
			outputencoding="utf-8">
			<fileset dir="${resource.dir}">
				<include name="**.js"/>
			</fileset>
		</concat>
		
		<replaceregexp match="@DEBUG@" replace="" flags="g"
			byline="true" file="${resource.combine.dir}/${resource.js}" 
			encoding="utf-8" />
	</target>
	
	<!-- 将多个js合并成为一个js -->
	<target name="conbineCss" >
		
		<concat destfile="${resource.combine.dir}/${resource.css}" encoding="utf-8"
			outputencoding="utf-8">
			<fileset dir="${resource.dir}">
				<include name="**.css"/>
			</fileset>
		</concat>
		
		<replaceregexp match="@DEBUG@" replace="" flags="g"
			byline="true" file="${resource.combine.dir}/${resource.css}" 
			encoding="utf-8" />
	</target>	

</project> 